define({"0":{y:0,u:"../Content/P4Search/about.html",l:-1,t:"How to use this guide | Helix Core Search API",i:0.0124456795920227,a:"This guide provides information on installing, configuring, and working with Helix Search, the Helix Core Search API. It assumes a basic knowledge of developing with APIs and Helix Core Server (version 2023.4, released in September 2023)."},"1":{y:0,u:"../Content/P4Search/overview.html",l:-1,t:"Overview",i:0.0124456795920227,a:"This section describes the basics of Helix Search.  Helix Search web UI The Helix Search web User Interface (UI) enables you search submitted changes, file revisions, and file content in your Helix Core Server.  For information about using the web UI, see  Access the web UI . Helix Search API Helix ..."},"2":{y:0,u:"../Content/P4Search/license-features.html",l:-1,t:"Licensed features",i:0.0124456795920227,a:"This section describes the licensed features of Helix Search. To use full indexing capabilities of Helix Search you must obtain a Helix DAM capability in your Perforce license. To buy or renew licenses, contact  Sales . Here is a comparison of capabilities between a licensed and unlicensed Helix ..."},"3":{y:0,u:"../Content/P4Search/search-web-page.html",l:-1,t:"Web UI",i:0.0124456795920227,a:"Web UI This section describes the Helix Search web UI. "},"4":{y:0,u:"../Content/P4Search/web-ui.html",l:-1,t:"Access the web UI",i:0.0175810865833471,a:"The Helix Search web User Interface (UI) enables you to search submitted changes, file revisions, file content, and assets in your Helix Core Server.  Get the web address for the  Helix Search web UI from your administrator and open the UI in your web browser.  For example,  ..."},"5":{y:0,u:"../Content/P4Search/status.html",l:-1,t:"View status",i:0.0149363566546482,a:"View status View the Helix Search service status and the time the index last ran. To view the Helix Search service status: Select Account arrow from the top navigation bar. Select Status. The Helix Search Service status page is displayed."},"6":{y:0,u:"../Content/P4Search/configuration-web-ui.html",l:-1,t:"Configure Helix Search",i:0.118679808211152,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"7":{y:0,u:"../Content/P4Search/logger-web-ui.html",l:-1,t:"View live logs",i:0.0149363566546482,a:"You must be an admin user to use logger in Helix Search. To use logger from the web UI: Click the Account icon in the top navigation bar. Select Logger and the Logger page is displayed.  Live log tab In the Live Log tab, you can view the realtime logging data for a specific log file and perform the ..."},"8":{y:0,u:"../Content/P4Search/indexing-web-ui.html",l:-1,t:"Index Helix Search",i:0.0995137069924923,a:"You must be an admin user to perform indexing in Helix Search. This section contains information about how to index the Helix Core Server from the Helix Search web UI. To index Helix Search from the web UI:  Select the Account arrow from the top navigation bar.  Select Indexing and the Indexing page ..."},"9":{y:0,u:"../Content/P4Search/service_install_configure.html",l:-1,t:"Install, deploy, and configure",i:0.0181128730577233,a:"Install, deploy, and configure This chapter describes the prerequisites, installation scenarios, installation and configuration of the Helix Search, Helix Core Server, and Elasticsearch services. "},"10":{y:0,u:"../Content/P4Search/prereqs-scenarios.html",l:-1,t:"Prerequisites and installation scenarios",i:0.0250978392213016,a:"This section describes the perquisites and installation scenarios for the Helix Core Search API, Helix Core Server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case. Prerequisites Helix Search requires the following: Elasticsearch ..."},"11":{y:0,u:"../Content/P4Search/installers.html",l:-1,t:"Deploy and install",i:0.019430645755601,a:"This section describes the deployment and installation process for the Helix Core Search API, Helix Core Server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case, see  Installation scenarios . Process overview Helix Search requires ..."},"12":{y:0,u:"../Content/P4Search/configure-runtime.html",l:-1,t:"Runtime configuration",i:0.0179013805332999,a:"When Helix Search is installed and ready to use, the Helix Search configuration can be changed before use if required. The location of the configuration file is specified by setting JVM property com.perforce.search.config, the environment, or a file called config.properties in the current local ..."},"13":{y:0,u:"../Content/P4Search/configuration-script.html",l:-1,t:"Configure using a script",i:0.014097300818849,a:"You must be a root user to configure Helix Search. This section details how to  configure Helix Search using a script. You can run the etc/configure.sh script file located in the installation directory to configure Helix Search.  The configure.sh script file updates the following configuration ..."},"14":{y:0,u:"../Content/P4Search/configure-services.html",l:-1,t:"Configure  services",i:0.0568410139210825,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"15":{y:0,u:"../Content/P4Search/upgrade.html",l:-1,t:"Upgrade",i:0.0124456795920227,a:"This section describes how to upgrade a Helix Search installation to a newer release. Follow the instructions for your OS distribution. During upgrade the following JRE directory gets overwritten if you have added a self-signed certificate into the Java Runtime Environment. ..."},"16":{y:0,u:"../Content/P4Search/advanced-actions.html",l:-1,t:"Specify additional configuration settings",i:0.0124456795920227,a:"Specify additional configuration settings This section describes optional configuration settings for Helix Search. "},"17":{y:0,u:"../Content/P4Search/configure-swarm-for-p4search.html",l:-1,t:"Configure Swarm to use Helix Search",i:0.0204982746302738,a:"Standard Swarm searches can be extended to search file content and changelist description by using the Helix Core Search API.  If you make a configuration change, Swarm will not use it until the Swarm config cache has been deleted. For instructions on deleting the config cache, see  Swarm config ..."},"18":{y:0,u:"../Content/P4Search/security-configuration.html",l:-1,t:"Configure SSL security for Helix Search",i:0.0527030856776829,a:"This section describes how to secure your Helix Search communications over SSL using the HTTPS protocol. This involves creating a Java keystore with a valid SSL certificate.  To secure Helix Search with HTTPS SSL access: Create a CSR and private key with the following command: openssl req -new ..."},"19":{y:0,u:"../Content/P4Search/manual-build.html",l:-1,t:"Manually deploy a JAR file",i:0.0177790245287746,a:"Perforce recommends that you use the Helix Search installer for Linux or Windows to install Helix Search, see  Install, deploy, and configure .  This section describes the build and configuration process for the Helix Core Search API and Elasticsearch.  To manually deploy the .jar: Check the ..."},"20":{y:0,u:"../Content/P4Search/configure_optical_character_recognition_for_p4search.html",l:-1,t:"Configure OCR for Windows",i:0.0124456795920227,a:"To use  Optical Character Recognition (OCR), you must install and enable Tesseract and ImageMagick on Windows. Tesseract  uses ImageMagick for OCR. When both Tesseract and ImageMagick are installed, Tesseract takes precedence for Helix Search.  Related information: How to install Tesseract, see  ..."},"21":{y:0,u:"../Content/P4Search/quick-reference-section.html",l:-1,t:"Index Helix Core Server",i:0.0150904095207216,a:"Index Helix Core Server This chapter contains information about indexing the Helix Core Server. "},"22":{y:0,u:"../Content/P4Search/quick-ref-index-server.html",l:-1,t:"Quick reference to index the Helix Server ",i:0.0124456795920227,a:"This chapter is a quick reference for performing an initial index of your Helix Server. For a small site you may want to index everything but for a larger site you might only want to index a project.  Small site deployment To index all of the changes in your depot, use the following curl request: ..."},"23":{y:0,u:"../Content/P4Search/keep-index-up-to-date.html",l:-1,t:"Keep your index up to date",i:0.0196707285475498,a:"You can keep your Helix Core Server index up to date by using one of the following methods. For more information on how to access Swagger Helix Search REST API, see  API endpoints . Use Perforce Lua extensions You must download and install the Perforce Lua extensions before you can use them to keep ..."},"24":{y:0,u:"../Content/P4Search/restrict-file-indexing.html",l:-1,t:"Restrict file indexing",i:0.0124456795920227,a:"To restrict Helix Search from indexing a specific depot, you must set the Helix Core Server protections for that  depot.  For example, if the extensions depot directory is //.extensions, set the Helix Core Server protections for //.extensions to: read user * p4index_user -//.extensions/... This ..."},"25":{y:0,u:"../Content/P4Search/thumbnail-supported-file-types.html",l:-1,t:"Thumbnail generation: Supported file types",i:0.0150904095207216,a:"This section details the file types that Helix Search can generate thumbnails for.  Thumbnails are only generated by Helix Search if it is configured to generate them.  Enable thumbnail generation by setting the com.perforce.p4search.index.thumbnail configurable to true in the indexer ..."},"26":{y:0,u:"../Content/P4Search/api-endpoints.html",l:-1,t:"API endpoints",i:0.0650591715784823,a:"From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This chapter describes how to access the Swagger Helix Search REST API and API authentication required for Helix ..."},"27":{y:0,u:"../Content/P4Search/api-endpoints-current.html",l:-1,t:"Access the Swagger REST API ",i:0.0209955618261421,a:" This section describes how to access the Swagger Helix Search REST API endpoints for indexing and searching the Helix Core Server.  Do the following to access the Swagger Helix Search REST API endpoints: Get the web address for the Helix Search web UI from your administrator. For example,  ..."},"28":{y:0,u:"../Content/P4Search/api-authentication.html",l:-1,t:"API authentication",i:0.0534268530929369,a:"Some Helix Search API endpoints need an authenticated connection. Authenticated connections are achieved using Token authentication or Bearer authentication.  Token authentication Token authentication is an HTTP authentication system that uses an X-Auth-Token to authenticate the connection to Helix ..."},"29":{y:0,u:"../Content/P4Search/example-queries.html",l:-1,t:"EXIF query examples ",i:0.0482124596357402,a:" This section provides  example queries for exchangeable image file format (EXIF) data. Elasticsearch query for EXIF metadata  Description Looks for a matched query on an EXIF field. Authentication Supports basic authentication and bearer token authentication, see  API authentication . Usage example ..."},"30":{y:0,u:"../Content/P4Search/dsl.html",l:-1,t:"Domain specific language query",i:0.0208415089600687,a:"This section describes how to access data in Helix Search using the Domain Specific Language (DSL). All users, admins, and super users can perform search using a DSL query.  You must use the  DSL keywords  in conjunction with  Boolean queries  to perform complex searches in Helix Search.  DSL ..."},"31":{y:0,u:"../Content/P4Search/data-model.html",l:-1,t:"Data model",i:0.0841559889724884,a:"This section details the five data models used by Helix Search.  ChangeModel One instance of this represents single change in the Helix Server. ContentModel One instance of this represents contents of single changed file in the Helix Server: RevisionModel One instance of this represents single ..."},"32":{y:0,u:"../Content/P4Search/contact.html",l:-1,t:"Getting Help",i:0.0124456795920227,a:"Perforce Support cannot help you with user account creation or with resetting your password, please contact your company\u0027s  Perforce administrator for help with this.  We look forward to hearing about your experiences with Helix Search, positive or negative, including must-haves or it would be great ..."},"33":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.0124456795920227,a:"Glossary"},"34":{y:0,u:"../Content/P4Search/license.statements.html",l:-1,t:"License statements",i:0.0124456795920227,a:"License statements For licensing information for Helix Core Search API and the third-party software included in this Perforce product, see the Helix Search License file . "},});